var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { Chalk } from "chalk";
import { Formatter } from "../blueprints/index.js";
const formatter = new Formatter(
  {
    transformInput: () => [],
    transformResult: (result, context) => {
      const {
        formatOptions: { helpUrl },
        getSign
      } = context;
      let formatted = "";
      let problems = [];
      const errorCount = result.errors.length;
      const warningCount = result.warnings.length;
      const hasProblem = errorCount > 0 || warningCount > 0;
      if (hasProblem) {
        problems = [...result.errors, ...result.warnings].map((problem) => {
          return __spreadProps(__spreadValues({}, problem), {
            sign: getSign(problem.level)
          });
        });
      }
      formatted = JSON.stringify(
        {
          input: result.input,
          problems,
          summary: {
            sign: getSign(errorCount > 0 ? 2 : warningCount > 0 ? 1 : 0),
            errorCount,
            warningCount
          },
          helpUrl
        },
        null,
        2
      );
      return [formatted];
    }
  },
  new Chalk({ level: 0 }),
  {
    customizable: false,
    formatOptions: {
      finalizeFormatResult: (formatted) => {
        return JSON.stringify(JSON.parse(`[${formatted}]`), null, 2);
      },
      separatorBetweenCommits: ","
    }
  }
);
const { formatInput, formatResult } = formatter;
var json_pretty_default = formatter.format;
export {
  json_pretty_default as default,
  formatInput,
  formatResult,
  formatter
};
